org.apache.ignite.internal.processors.closure

## Class GridClosureProcessor.C1MLA<T,R>

- java.lang.Object
- - org.apache.ignite.internal.processors.closure.GridClosureProcessor.C1<T,R>
  - - org.apache.ignite.internal.processors.closure.GridClosureProcessor.C1MLA<T,R>

All Implemented Interfaces:
  Serializable, Binarylizable, ComputeJob, ComputeJobMasterLeaveAware, GridInternalWrapper<IgniteClosure>, GridNoImplicitInjection

Enclosing class:
  GridClosureProcessor

    public static class GridClosureProcessor.C1MLA<T,R>
    extends GridClosureProcessor.C1<T,R>
    implements ComputeJobMasterLeaveAware

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.closure.GridClosureProcessor.C1

`arg, job`

### Constructor Summary

Constructors
Constructor and Description
`GridClosureProcessor.C1MLA()`

### Method Summary

Methods
`void` `onMasterNodeLeft(ComputeTaskSession ses)` A method which is executed in case master node has left topology during job execution.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.closure.GridClosureProcessor.C1

`cancel, execute, readBinary, userObject, writeBinary`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClosureProcessor.C1MLA

    public GridClosureProcessor.C1MLA()

### Method Detail

#### onMasterNodeLeft

    public void onMasterNodeLeft(ComputeTaskSession ses)

A method which is executed in case master node has left topology during job execution.

Specified by:
  `onMasterNodeLeft` in interface `ComputeJobMasterLeaveAware`
Parameters:
  `ses` - Task session, can be used for checkpoint saving.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClosureProcessor.C1<T,R>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017